summaryrefslogtreecommitdiff
path: root/games-action/supermariowar/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-07-14 21:03:06 +0100
committerV3n3RiX <venerix@redcorelinux.org>2018-07-14 21:03:06 +0100
commit8376ef56580626e9c0f796d5b85b53a0a1c7d5f5 (patch)
tree7681bbd4e8b05407772df40a4bf04cbbc8afc3fa /games-action/supermariowar/files
parent30a9caf154332f12ca60756e1b75d2f0e3e1822d (diff)
gentoo resync : 14.07.2018
Diffstat (limited to 'games-action/supermariowar/files')
-rw-r--r--games-action/supermariowar/files/smwd.initd39
-rw-r--r--games-action/supermariowar/files/supermariowar-2.0_beta1-yaml-cpp-config.cmake21
2 files changed, 60 insertions, 0 deletions
diff --git a/games-action/supermariowar/files/smwd.initd b/games-action/supermariowar/files/smwd.initd
new file mode 100644
index 000000000000..da4fa9a87ee4
--- /dev/null
+++ b/games-action/supermariowar/files/smwd.initd
@@ -0,0 +1,39 @@
+#!/sbin/openrc-run
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+command="/usr/sbin/smw-server"
+command_background="true"
+pidfile="/var/run/${RC_SVCNAME}.pid"
+name="Super Mario War server"
+description="The Super Mario War server process is in charge of hosting Super Mario War games"
+smw_serverdir="@SMW_SERVERDIR@"
+
+depend() {
+ use net
+ before logger
+}
+
+start() {
+ if [[ ! -d "${smw_serverdir}" ]]; then
+ eerror "Cannot cd into ${smw_serverdir}"
+ return 1
+ fi
+ cd "${smw_serverdir}" || return 1
+ ebegin "Starting ${name}"
+ start-stop-daemon \
+ --start \
+ --background \
+ --pidfile ${pidfile} \
+ --make-pidfile \
+ --exec ${command}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${name}"
+ start-stop-daemon \
+ --stop \
+ --pidfile ${pidfile}
+ eend $?
+}
diff --git a/games-action/supermariowar/files/supermariowar-2.0_beta1-yaml-cpp-config.cmake b/games-action/supermariowar/files/supermariowar-2.0_beta1-yaml-cpp-config.cmake
new file mode 100644
index 000000000000..03fb190aad65
--- /dev/null
+++ b/games-action/supermariowar/files/supermariowar-2.0_beta1-yaml-cpp-config.cmake
@@ -0,0 +1,21 @@
+find_package(PkgConfig REQUIRED)
+pkg_check_modules(YAML-CPP REQUIRED yaml-cpp)
+find_path(YAML-CPP_INCLUDE_DIRECTORY
+ NAMES yaml.h
+ PATHS ${YAML-CPP_INCLUDE_DIRS} /usr/include/yaml-cpp
+)
+find_library(YAML-CPP_LIBRARY
+ NAMES yaml-cpp
+ PATHS ${YAML-CPP_LIBRARY_DIRS})
+
+include(FindPackageHandleStandardArgs)
+find_package_handle_standard_args(yaml-cpp
+ FOUND_VAR yaml-cpp_FOUND
+ REQUIRED_VARS YAML-CPP_LIBRARY YAML-CPP_INCLUDE_DIRECTORY
+)
+
+if (yaml-cpp_FOUND)
+ set(yaml-cpp_INCLUDE_DIRS ${YAML-CPP_INCLUDE_DIRECTORY})
+ set(yaml-cpp_LIBRARIES ${YAML-CPP_LIBRARY})
+endif ()
+mark_as_advanced(YAML-CPP_INCLUDE_DIRECTORY YAML-CPP_LIBRARY)